package com.ruoyi.export.service;

import com.ruoyi.export.domain.ExportCategory;
import com.ruoyi.export.domain.vo.ExportCategoryVo;
import com.ruoyi.export.domain.bo.ExportCategoryBo;

import java.util.Collection;
import java.util.List;

/**
 * 分类Service接口
 *
 * @author ruoyi
 * @date 2025-07-17
 */
public interface IExportCategoryService {

    /**
     * 查询分类
     */
    ExportCategoryVo queryById(Long categoryId);


    /**
     * 查询分类列表
     */
    List<ExportCategoryVo> queryList(ExportCategoryBo bo);

    /**
     * 新增分类
     */
    Boolean insertByBo(ExportCategoryBo bo);

    /**
     * 修改分类
     */
    Boolean updateByBo(ExportCategoryBo bo);

    /**
     * 校验并批量删除分类信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
